module OW_transf 

  use sep
  use OW_parms_areal
 use OW_fftu_areal

  implicit none

  contains
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  subroutine owtransf(input,output)

  real				:: output(:)
  complex,allocatable		:: temp(:)
  complex				:: input(:)
  integer				:: nt

  nt=1
  do while ( rec%w%n > nt)
     nt=nt*2
  end do 
  nt=nt*2
  allocate(temp(nt));temp=cmplx(0.,0.)
  temp(1:rec%w%n)=conjg(input)! cmplx(real(input), -aimag(input))
  call ftu(.true.,temp)
  output=real(temp(1:nt))
end subroutine 
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
end module
